package Events;

import commandSystem.Direction;

public class CallFromElevatorEvent implements Event {

	private final int requestedFloor;

	public CallFromElevatorEvent(int requestedFloor) {
		this.requestedFloor = requestedFloor;
	}

	@Override
	public Direction getRequestedDirection() {
		return Direction.NONE;
	}

	@Override
	public int getRequestedFloor() {
		return requestedFloor;
	}

	@Override
	public int getIncomingCallFloor() {
		return -1;
	}

	@Override
	public EventType getType() {
		return EventType.CALLFROMELEVATOR;
	}

	@Override
	public int getCurrentFloor() {
		return -1;
	}

	@Override
	public Direction getCurrentDirection() {
		return Direction.NONE;
	}
}
