package commandSystem;

import Events.Event;

public interface InstructionQueue {

	/**
	 * Compute a request into the instruction queue.  
	 * 
	 * @param event - the request to compute
	 */
	public void computeEvent(Event event);
	
	/**
	 * Returns the next floor the elevator has to go to.
	 * 
	 * @return the next floor if it exists, else -1
	 */
	public int getNextInstruction();
}